Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh

Help - Rắc rối do lạm dụng annotative !


  • Please log in to reply
8 replies to this topic

#1 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1166 Bài viết
Điểm đánh giá: 436 (tốt)

Đã gửi 20 June 2013 - 06:07 PM

Mình được chuyển giao 1 số bản vẽ, do trước đó người ta lập & in trên tỉ lệ nhỏ (by Model), nay yêu cầu phóng to hơn.

Ngặt nổi, các attributes người ta đã "lở chọn" tùy chọn text style "có" annotative.

 

Giờ mình in trên layout, phóng to lên thì các attributes cũng bị phóng theo annotative scale (trong lúc annotative scale lại bị khống chế bởi đói tượng khác).

Mình mò mãi không ra chổ để tắt tính năng annotative cho các attributes hàng loạt đc (đã tắt tính năng annotative cho cả text style & cả block attribute), chỉ có thể tắt cho từng chú trong Enhanced attribute editor --> quá lâu do số lượng quá nhiều.

 

Nay viết lời cầu cứu này gửi lên diễn đàn, mong đc quý anh em cao thủ giúp đỡ để mình đc ngủ ngon giấc hơn ! :D

Xin chân thành cảm ơn !

Bản vẽ mẫu (lỗi bên layout "in" - các chữ nó to đùng ra :D)

http://www.cadviet.c...3/80156_loi.dwg

Similar topics from web:

  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#2 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 600 Bài viết
Điểm đánh giá: 210 (khá)

Đã gửi 20 June 2013 - 11:15 PM

Nếu không phải sửa nữa hoặc cần chỉ cần in ấn, theo em trước hết bác vào "be" chọn block ma-hieu-duong sau đó xoá wipe out đi

ra ngoài Model sử dụng lẹnh : "BURST" phá(nổ) toàn bộ đối tượng block đó đi.

(trước khi có lisp nếu chỉ cần in, bác có thể xài tạm cái này,Khuyến cáo: nên Copy bản vẽ trước rồi hãy "nổ" vì Burst chính là "explore" mở rộng đó)


  • 0

#3 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 600 Bài viết
Điểm đánh giá: 210 (khá)

Đã gửi 20 June 2013 - 11:54 PM

Chẳng hiểu là bị đặt annotative ở đâu nữa, nếu tìm ra, thì sẽ có cách khác để sửa code lisp
tạm thời thì bác xài tạm cái này

P/s Nên sang thẻ layout "in" nhấp đôi vào Vp và chạy lệnh này, có thể đổi lại tên lệnh cho khác đi bằng cách thay 

dòng

(defun c:1234.....)

thành

(defun c:####.....)

 



(defun c:1234 ( / dt ent i k sizet ss ten )
(setq dt nil)
(while (null dt)
(prompt "\nChon Block")
(if (setq ss (ssget '((0 . "INSERT"))))
(progn
(setq dt (ssname ss 0))
(prompt (strcat "\nBlock duoc chon :\t <" (setq ten (cdr(assoc 2 (entget dt)))) ">"))
)
;(setq dt nil)
)
)
(if (and dt
(setq ss (ssget "x" (list (cons 0 "INSERT")(cons 2 ten)))
i -1
sizeT (cdr(assoc 40 (entget (entnext dt))))
k (getreal (strcat "\nChon co chu moi <" (rtos sizeT 2 3) ">"))))
(while (< (setq i (1+ i)) (sslength ss))
(setq dt (ssname ss i)
ent(entget(entnext dt)))
(entmod (subst (cons 40 k)(assoc 40 ent)ent)))
(prompt "\nKhong thanh cong")
)
(princ)
)

(defun c:1234 ( / dt ent i k sizet ss ten )
(setq dt nil)
(while (null dt)
(prompt "\nChon Block")
(if (setq ss (ssget '((0 . "INSERT"))))
(progn
(setq dt (ssname ss 0))
(prompt (strcat "\nBlock duoc chon :\t <" (setq ten (cdr(assoc 2 (entget dt)))) ">"))
)
;(setq dt nil)
)
)
(if (and dt
(setq ss (ssget "x" (list (cons 0 "INSERT")(cons 2 ten)))
i -1
sizeT (cdr(assoc 40 (entget (entnext dt))))
k (getreal (strcat "\nChon co chu moi <" (rtos sizeT 2 3) ">"))))
(while (< (setq i (1+ i)) (sslength ss))
(setq dt (ssname ss i)
ent(entget(entnext dt)))
(entmod (subst (cons 40 k)(assoc 40 ent)ent)))
(prompt "\nKhong thanh cong")
)
(princ)
)

Bài viết đã được chỉnh sửa nội dung bởi quansla: 21 June 2013 - 12:04 AM

  • 1

#4 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1166 Bài viết
Điểm đánh giá: 436 (tốt)

Đã gửi 21 June 2013 - 07:36 AM

Chẳng hiểu là bị đặt annotative ở đâu nữa, nếu tìm ra, thì sẽ có cách khác để sửa code lisp

 

Chổ đặt annotative "nữa" thì là ở ngay trong thẻ Text Option khi mình kích đúp vào cái block atribute đó bác !

Nếu đc thì bác code cho mình cái lisp tắt luôn annotative trong đó nghen ! Để cả 2 trường phái (Model & layout) đều in đc.

Thanks ! :(


  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#5 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1166 Bài viết
Điểm đánh giá: 436 (tốt)

Đã gửi 21 June 2013 - 11:57 AM

Sự cố đã đc xữ lý nhờ một bài viết của bác TueNV

http://www.cadviet.c...-cua-block-att/

Mình post để ai mắc lỗi như mình dễ tìm đc cách xữ lý !!!


  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#6 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5462 Bài viết
Điểm đánh giá: 2507 (tuyệt vời)

Đã gửi 21 June 2013 - 02:50 PM

Attsync ^^
  • 0

Thành viên nhóm CadMagic.

Mời bạn ghé thăm facebook nhóm  :

CAD MAGIC


#7 haicoi311

haicoi311

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 November 2014 - 01:51 PM

em dùng dim anotative và cứ khi nào bấm vào cái dim (chuẩn bị dùng lệnh) thì bị như này. ko biết miêu tả sao luôn :(

Untitledc54b7.png


  • 0

#8 haicoi311

haicoi311

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 November 2014 - 02:23 PM

em dùng dim anotative và cứ khi nào bấm vào cái dim (chuẩn bị dùng lệnh) thì bị như này. ko biết miêu tả sao luôn :(

Untitledc54b7.png


  • 0

#9 kotnguyen

kotnguyen

    biết vẽ polygon

  • Members
  • PipPip
  • 78 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 14 November 2014 - 04:58 PM

em dùng dim anotative và cứ khi nào bấm vào cái dim (chuẩn bị dùng lệnh) thì bị như này. ko biết miêu tả sao luôn :(

Untitledc54b7.png

Bạn add quá nhiều tỷ lệ cho Dim Anotative này, trong đó có những tỷ lệ lớn.
Nguyên nhân là do bạn để chế độ tự động add tỷ lệ cho các Dim Anotative .


  • 0